<template>
  <div class="wrap">
    <div class="center">
      <p>a:{{a}}</p>
      <p>Child的$attrs:{{$attrs}}</p>
      <button @click="childReduce">Child减dd</button>
    </div>
    <Grandson v-bind="$attrs" v-on="$listeners"/>
  </div>
</template>

<script>

import Grandson from './Grandson'

export default {
  name: 'Child',
  props: {
    a: Number
  },
  data () {
    return {
      msg: 'Child'
    }
  },
  components:{
      Grandson
  },
  methods:{
    childReduce() {
      this.$emit('reduce');
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
